Package org.eclipse.gef.cloudio.internal.ui

# Class CloudioUiBundle

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.ui.plugin.AbstractUIPlugin
org.eclipse.gef.cloudio.internal.ui.CloudioUiBundle

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class CloudioUiBundle extends AbstractUIPlugin

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADD`
`static final String`
`PLUGIN_ID`
`static final String`
`REMOVE`
`static final String`
`TOGGLE_COLORS`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`CloudioUiBundle()`
The constructor

## Method Summary

Modifier and Type
Method
Description
`static CloudioUiBundle`
`getDefault()`
Returns the shared instance
`void`
`start(org.osgi.framework.BundleContext context)`
`void`
`stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID

See Also:
  - Constant Field Values

### ADD

public static final String ADD

See Also:
  - Constant Field Values

### REMOVE

public static final String REMOVE

See Also:
  - Constant Field Values

### TOGGLE_COLORS

public static final String TOGGLE_COLORS

See Also:
  - Constant Field Values

## Constructor Details

### CloudioUiBundle

public CloudioUiBundle()
The constructor

## Method Details

### start

public void start(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `AbstractUIPlugin`
Throws:
  `Exception`

### stop

public void stop(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `AbstractUIPlugin`
Throws:
  `Exception`

### getDefault

public static CloudioUiBundle getDefault()
Returns the shared instance

Returns:
  the shared instance